#include<bits/stdc++.h>
using namespace std;
int main()
{
	int t;
	long long n,m,k,i;
	scanf("%d",&t);
	for(i=0;i<t;i++)
	{
		scanf("%lld%lld%lld",&n,&m,&k);
		if(m>=(k*(n/k)*(n/k+1)/2)+((n%k)*(n/k+1)))
		 printf("Tak\n");
		else
		 printf("Nie\n");
	}
	return 0;
}